Skip to navigation

Team Folder List Continue

View as Markdown

Once a cursor has been retrieved from team_folder/list, use this to paginate through all team folders.

Permission : Team member file access.

Required scope: team_data.content.read

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
cursorstringRequired
Indicates from what point to get the next set of team folders.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
cursorstring

Pass the cursor into team_folder/list/continue to obtain additional team folders.

has_moreboolean

Is true if there are additional team folders that have not been returned yet. An additional call to team_folder/list/continue can retrieve them.

team_folderslist of objects
List of all team folders in the authenticated team.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error